###########################################################
# LoadParticlePanel - Not a Railshooter Class
# A simple program to load the Particle Panel 
###########################################################

# DESCRIPTION:
# This program Loads the Particle Editing Panel in Panda.  It
# is mainly here for convenience.  You can use this program to
# tweak the Particle System to your liking.  Afterwards, you should
# save out your Particle System as a PTF text file.  See LoadParticles.py
# as an example on how to incorporate a PTF text file into part of your
# code.
  

from direct.showbase.ShowBaseGlobal import *
from direct.tkpanels import ParticlePanel

# Enables TK Widgets - necessary for using Direct Tools
# and the Particle Panel
base.startDirect()
base.startTk()

# Instance the Particle Panel
pp = ParticlePanel.ParticlePanel()

# For Arrow Key Navigation
base.useDrive()

# Go!
run()
